Package org.apache.wiki.render.markdown

# Class MarkdownRenderer

java.lang.Object
org.apache.wiki.render.WikiRenderer
org.apache.wiki.render.markdown.MarkdownRenderer

public class MarkdownRenderer extends org.apache.wiki.render.WikiRenderer
Class handling the markdown rendering.

## Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

## Constructor Summary

Constructors
Constructor
Description
`MarkdownRenderer(org.apache.wiki.api.core.Context context, org.apache.wiki.parser.WikiDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkdownRenderer

public MarkdownRenderer(org.apache.wiki.api.core.Context context, org.apache.wiki.parser.WikiDocument doc)

## Method Details

### getString

public String getString() throws IOException

Specified by:
  `getString` in class `org.apache.wiki.render.WikiRenderer`
Throws:
  `IOException`